<bugID>891216<Summary>enable frameworkers for all enabled providers</Summary><Description>Created attachment 772450
draft patch for multiple workers

We need to support notifications and incoming calls/chats from more than one provider.  We also need to support providers without workers.

Attached patch is a draft, passes tests.  May need some optimizing of SocialProvider.enabled use.</Description></bugID>